summaryrefslogtreecommitdiffstats
path: root/libraries/p4api
diff options
context:
space:
mode:
author Andy Bailey <bailey@akamai.com>2010-09-08 20:25:22 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-09-08 20:25:22 -0400
commit7d8a040f5771aa095dd66d494ec7c97b5690f2f0 (patch)
treeec4c367d36cffdee74bfa1a4b8bf0c6edbc1e74c /libraries/p4api
parenta30bee301972916b603076eff9a839d941f748b0 (diff)
downloadslackbuilds-7d8a040f5771aa095dd66d494ec7c97b5690f2f0.tar.gz
slackbuilds-7d8a040f5771aa095dd66d494ec7c97b5690f2f0.tar.xz
libraries/p4api: Added (Perforce C/C++ API)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/p4api')
-rw-r--r--libraries/p4api/README3
-rw-r--r--libraries/p4api/p4api.SlackBuild73
-rw-r--r--libraries/p4api/p4api.info12
-rw-r--r--libraries/p4api/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/libraries/p4api/README b/libraries/p4api/README
new file mode 100644
index 0000000000..e2a612e358
--- /dev/null
+++ b/libraries/p4api/README
@@ -0,0 +1,3 @@
+p4api providess Perforce C/C++ headers and libraries, which
+are needed by the various Perforce language bindings, which
+are packaged separately.
diff --git a/libraries/p4api/p4api.SlackBuild b/libraries/p4api/p4api.SlackBuild
new file mode 100644
index 0000000000..d98090d0cc
--- /dev/null
+++ b/libraries/p4api/p4api.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# p4api SlackBuild, R. Bailey <bailey@akamai.com>
+
+LOCALVER=`tar tf p4api.tgz 2> /dev/null | head -1 | cut -d- -f 2 | cut -d/ -f1`
+PRGNAM=p4api
+VERSION=${VERSION:-$LOCALVER}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/p4api.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This looks a little odd, but its the directory structure that the language
+# bindings except to find, so we can avoid having to patch those by keeping
+# the layout
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/p4
+cp -r lib include sample $PKG/usr/lib$LIBDIRSUFFIX/p4
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/p4api/p4api.info b/libraries/p4api/p4api.info
new file mode 100644
index 0000000000..d67d0d9c5a
--- /dev/null
+++ b/libraries/p4api/p4api.info
@@ -0,0 +1,12 @@
+PRGNAM="p4api"
+VERSION="2010.1.260003"
+HOMEPAGE="http://www.perforce.com/perforce/loadsupp.html"
+DOWNLOAD="ftp://ftp.perforce.com/perforce/r10.1/bin.linux26x86/p4api.tgz"
+MD5SUM="3f3753f30550265ce0a0c30a37337cc9"
+DOWNLOAD_x86_64="ftp://ftp.perforce.com/perforce/r10.1/bin.linux26x86_64/p4api.tgz"
+MD5SUM_x86_64="cddebfa93b2ab92fa8a466cac810e5ed"
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="dsomero"
+
+
diff --git a/libraries/p4api/slack-desc b/libraries/p4api/slack-desc
new file mode 100644
index 0000000000..376c1731db
--- /dev/null
+++ b/libraries/p4api/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+p4api: p4api (Perforce C/C++ API)
+p4api:
+p4api: The Perforce C/C++ API allows you to write your own Perforce tools
+p4api: in C++. It provides you with the same interface that is used by all
+p4api: of the Perforce client programs (P4, P4V, P4Web, and the Perforce IDE
+p4api: Plug-ins).
+p4api:
+p4api:
+p4api:
+p4api:
+p4api: